minpf_plugin_manager.h File Reference
`#include <plugin/minpf_dynamic_library.h>`
`#include <map>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | grk::minpf_plugin_manager

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | MINPF_MAX_PLUGINS 32

## Typedefs

typedef struct grk::minpf_plugin_manager | grk::minpf_plugin_manager

## Functions

minpf_plugin_manager * | grk::minpf_get_plugin_manager (void)
void | grk::minpf_cleanup_plugin_manager (void)
int32_t | grk::minpf_load_from_dir (const char *directory_path, minpf_invoke_service_func func)
int32_t | grk::minpf_load_from_path (const char *path, minpf_invoke_service_func func)
const char * | grk::minpf_get_dynamic_library_extension (void)

## Macro Definition Documentation

## MINPF_MAX_PLUGINS

#define MINPF_MAX_PLUGINS 32